AuthThe Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats.AvailabilityGenerally available since 7.8This functionality is generally available and ready for production usage.Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments.This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.
Get a detailed description of the current state for each shard participating in the snapshot.
Note that this API should be used only to obtain detailed shard-level information for ongoing snapshots.
If this detail is not needed or you want to obtain information about one or more existing snapshots, use the get snapshot API.
If you omit the <snapshot> request path parameter, the request retrieves information only for currently running snapshots.
This usage is preferred.
If needed, you can specify <repository> and <snapshot> to retrieve information for specific snapshots, even if they're not currently running.
Warning
Using the API to return the status of any snapshots other than currently running snapshots can be expensive.
The API requires a read from the repository for each shard in each snapshot.
For example, if you have 100 snapshots with 1,000 shards each, an API request that includes all snapshots will require 100,000 reads (100 snapshots x 1,000 shards).
Depending on the latency of your storage, such requests can take an extremely long time to return results.
These requests can also tax machine resources and, when using cloud storage, incur high processing costs.
If false, the request returns an error for any snapshots that are unavailable.
If true, the request ignores snapshots that are unavailable, such as those that are corrupted or temporarily cannot be returned.
master_timeoutuniononeOf · default: 30s
The period to wait for the master node.
If the master node is not available before the timeout expires, the request fails and returns an error.
To indicate that the request should never timeout, set it to -1.
Indicates whether the current cluster state is included in the snapshot.
indicesmapstring to objectrequired
<string>object
shardsmapstring to objectrequired
<string>object
stageenumrequired
Supported values include:
DONE: The number of shards in the snapshot that were successfully stored in the repository.
FAILURE: The number of shards in the snapshot that were not successfully stored in the repository.
FINALIZE: The number of shards in the snapshot that are in the finalizing stage of being stored in the repository.
INIT: The number of shards in the snapshot that are in the initializing stage of being stored in the repository.
STARTED: The number of shards in the snapshot that are in the started stage of being stored in the repository.
Values:DONEFAILUREFINALIZEINITSTARTED
statsobjectrequired
incrementalobjectrequired
file_countnumberrequired
size_in_bytesnumberrequired
totalobjectrequired
file_countnumberrequired
size_in_bytesnumberrequired
start_time_in_millisnumberrequired
timeuniononeOf
Values:-10
time_in_millisnumberrequired
shards_statsobjectrequired
donenumberrequired
The number of shards that initialized, started, and finalized successfully.
failednumberrequired
The number of shards that failed to be included in the snapshot.
finalizingnumberrequired
The number of shards that are finalizing but are not done.
initializingnumberrequired
The number of shards that are still initializing.
startednumberrequired
The number of shards that have started but are not finalized.
totalnumberrequired
The total number of shards included in the snapshot.
statsobjectrequired
incrementalobjectrequired
The number and size of files that still need to be copied as part of the incremental snapshot.
For completed snapshots, this property indicates the number and size of files that were not already in the repository and were copied as part of the incremental snapshot.
file_countnumberrequired
size_in_bytesnumberrequired
start_time_in_millisnumberrequired
The time, in milliseconds, when the snapshot creation process started.
timeuniononeOf
Values:-10
time_in_millisnumberrequired
The total time, in milliseconds, that it took for the snapshot process to complete.
totalobjectrequired
The total number and size of files that are referenced by the snapshot.
file_countnumberrequired
size_in_bytesnumberrequired
repositorystringrequired
The name of the repository that includes the snapshot.
shards_statsobjectrequired
Statistics for the shards in the snapshot.
donenumberrequired
The number of shards that initialized, started, and finalized successfully.
failednumberrequired
The number of shards that failed to be included in the snapshot.
finalizingnumberrequired
The number of shards that are finalizing but are not done.
initializingnumberrequired
The number of shards that are still initializing.
startednumberrequired
The number of shards that have started but are not finalized.
totalnumberrequired
The total number of shards included in the snapshot.
snapshotstringrequired
The name of the snapshot.
statestringrequired
The current snapshot state:
STARTED: The snapshot is currently running.
SUCCESS: All shard snapshots have completed. The snapshot may or may not have completed finalization.
FAILED: The snapshot finished with an error and failed to store any data.
statsobjectrequired
Details about the number (file_count) and size (size_in_bytes) of files included in the snapshot.
incrementalobjectrequired
The number and size of files that still need to be copied as part of the incremental snapshot.
For completed snapshots, this property indicates the number and size of files that were not already in the repository and were copied as part of the incremental snapshot.
file_countnumberrequired
size_in_bytesnumberrequired
start_time_in_millisnumberrequired
The time, in milliseconds, when the snapshot creation process started.
timeuniononeOf
Values:-10
time_in_millisnumberrequired
The total time, in milliseconds, that it took for the snapshot process to complete.
totalobjectrequired
The total number and size of files that are referenced by the snapshot.
file_countnumberrequired
size_in_bytesnumberrequired
uuidstringrequired
The universally unique identifier (UUID) for the snapshot.